# Generated by Django 3.2.4 on 2022-03-16 11:02

import aptiva_jobs.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('aptiva_api', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('category_name', models.CharField(blank=True, max_length=1000, null=True)),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('is_active', models.BooleanField(default=False)),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='CreateDetailUser',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_date_time', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['create_date_time'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='EmployementType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('employement_name', models.CharField(blank=True, max_length=1000, null=True)),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('is_active', models.BooleanField(default=False)),
                ('create_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='employement_type_created_by', to='aptiva_jobs.createdetailuser')),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='UpdateDetailUser',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('update_date_time', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['update_date_time'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='SalaryRange',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('salary_range', models.CharField(blank=True, max_length=1000, null=True)),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('is_active', models.BooleanField(default=False)),
                ('create_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='salary_range_created_by', to='aptiva_jobs.createdetailuser')),
                ('update_by', models.ManyToManyField(blank=True, related_name='salary_range_updated_by', to='aptiva_jobs.UpdateDetailUser')),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='PayDetails',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('hourly_pay', models.CharField(blank=True, max_length=100, null=True)),
                ('weekly_pay', models.CharField(blank=True, max_length=100, null=True)),
                ('bonus_pay', models.CharField(blank=True, max_length=100, null=True)),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('is_active', models.BooleanField(default=False)),
                ('create_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='pay_details_created_by', to='aptiva_jobs.createdetailuser')),
                ('update_by', models.ManyToManyField(blank=True, related_name='pay_details_updated_by', to='aptiva_jobs.UpdateDetailUser')),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='License',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('license_name', models.CharField(blank=True, max_length=100, null=True)),
                ('license_id', models.CharField(blank=True, max_length=100, null=True)),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('expiry_date', models.DateField(blank=True, null=True)),
                ('is_active', models.BooleanField(default=False)),
                ('create_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='license_created_by', to='aptiva_jobs.createdetailuser')),
                ('update_by', models.ManyToManyField(blank=True, related_name='license_updated_by', to='aptiva_jobs.UpdateDetailUser')),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='JobStatus',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status_title', models.CharField(blank=True, max_length=100, null=True)),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('is_active', models.BooleanField(default=False)),
                ('create_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='job_status_created_by', to='aptiva_jobs.createdetailuser')),
                ('update_by', models.ManyToManyField(blank=True, related_name='job_status_updated_by', to='aptiva_jobs.UpdateDetailUser')),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='Jobs',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('job_title', models.CharField(blank=True, max_length=1000, null=True)),
                ('job_address', models.TextField(blank=True, null=True)),
                ('job_description', models.TextField(blank=True, null=True)),
                ('experience', models.CharField(blank=True, max_length=100, null=True)),
                ('career_level', models.CharField(blank=True, max_length=100, null=True)),
                ('broucher', models.FileField(blank=True, null=True, upload_to=aptiva_jobs.models.upload_resume)),
                ('logo', models.FileField(blank=True, null=True, upload_to=aptiva_jobs.models.upload_image)),
                ('banner', models.FileField(blank=True, null=True, upload_to=aptiva_jobs.models.upload_image)),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('duration', models.CharField(blank=True, max_length=100, null=True)),
                ('shift', models.CharField(blank=True, max_length=100, null=True)),
                ('shift_per_week', models.CharField(blank=True, max_length=100, null=True)),
                ('scheduled_hours', models.CharField(blank=True, max_length=100, null=True)),
                ('latitude', models.CharField(blank=True, max_length=1000, null=True)),
                ('longitude', models.CharField(blank=True, max_length=1000, null=True)),
                ('is_active', models.BooleanField(default=False)),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_jobs.category')),
                ('city', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_api.city')),
                ('country', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_api.country')),
                ('create_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='jobs_created_by', to='aptiva_jobs.createdetailuser')),
                ('employement_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_jobs.employementtype')),
                ('license', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_jobs.license')),
                ('pay_details', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_jobs.paydetails')),
                ('status', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_jobs.jobstatus')),
                ('update_by', models.ManyToManyField(blank=True, related_name='jobs_updated_by', to='aptiva_jobs.UpdateDetailUser')),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
        migrations.AddField(
            model_name='employementtype',
            name='update_by',
            field=models.ManyToManyField(blank=True, related_name='employement_type_updated_by', to='aptiva_jobs.UpdateDetailUser'),
        ),
        migrations.AddField(
            model_name='category',
            name='create_by',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='category_created_by', to='aptiva_jobs.createdetailuser'),
        ),
        migrations.AddField(
            model_name='category',
            name='update_by',
            field=models.ManyToManyField(blank=True, related_name='category_updated_by', to='aptiva_jobs.UpdateDetailUser'),
        ),
        migrations.CreateModel(
            name='ApplicantFavouriteJobs',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('wishlist_status', models.BooleanField(default=True)),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('is_active', models.BooleanField(default=False)),
                ('applicant', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_api.applicant')),
                ('create_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='applicant_favourite_created_by', to='aptiva_jobs.createdetailuser')),
                ('favourite_job', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_jobs.jobs')),
                ('update_by', models.ManyToManyField(blank=True, related_name='applicant_favourite_updated_by', to='aptiva_jobs.UpdateDetailUser')),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
        migrations.CreateModel(
            name='ApplicantAppliedJobs',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateField(auto_now_add=True, null=True)),
                ('updated_date', models.DateField(auto_now=True, null=True)),
                ('is_active', models.BooleanField(default=False)),
                ('applicant', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_api.applicant')),
                ('applied_job', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_jobs.jobs')),
                ('create_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='applicant_applied_created_by', to='aptiva_jobs.createdetailuser')),
                ('status', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='aptiva_api.applicantstatus')),
                ('update_by', models.ManyToManyField(blank=True, related_name='applicant_applied_updated_by', to='aptiva_jobs.UpdateDetailUser')),
            ],
            options={
                'ordering': ['pk'],
                'managed': True,
            },
        ),
    ]
